Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.smila.datamodel
Class InvalidValueTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.smila.datamodel.InvalidValueTypeException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidValueTypeException

extends java.lang.RuntimeException

A runtime exception that will be thrown if the value types of the Any objects do not match the expected types.

See Also:
  Serialized Form

Constructor Summary
`InvalidValueTypeException(java.lang.Class<?> unsupportedType)` Instantiates a new invalid value type exception.
`InvalidValueTypeException(java.lang.String message)` Creates an InvalidValueTypeException with the given message.
`InvalidValueTypeException(java.lang.String message, java.lang.Class<?> unsupportedType)` Instantiates a new invalid value type exception.
`InvalidValueTypeException(java.lang.String message, java.lang.Exception e)`

Method Summary
`java.lang.Class<?>` | `getUnsupportedType()` Gets the unsupported type.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidValueTypeException

    public InvalidValueTypeException(java.lang.String message)

  Creates an InvalidValueTypeException with the given message.

  Parameters:
    `message` - The message for the user.

### InvalidValueTypeException

    public InvalidValueTypeException(java.lang.String message,
                                     java.lang.Class<?> unsupportedType)

  Instantiates a new invalid value type exception.

  Parameters:
    `message` - the message
    `unsupportedType` - the unsupported type

### InvalidValueTypeException

    public InvalidValueTypeException(java.lang.Class<?> unsupportedType)

  Instantiates a new invalid value type exception.

  Parameters:
    `unsupportedType` - the unsupported type

### InvalidValueTypeException

    public InvalidValueTypeException(java.lang.String message,
                                     java.lang.Exception e)

Parameters:
  `format` -
  `e` -

Method Detail

### getUnsupportedType

    public java.lang.Class<?> getUnsupportedType()

  Gets the unsupported type. might be null.

  Returns:
    the unsupported type

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD